package tutorialJava.capitulo7_Recursos.ejercicios.bloque05_recursividad;

public class Ejercicio02_PotenciaRecursiva {

    
	/**
	 * 
	 * @param base
	 * @param exponent
	 * @return
	 */
    public static int potencia(int base, int exponente) {
        // Cualquier número elevado a 0 es 1
        if (exponente == 0) {
            return 1;
        }
       
        return base * potencia(base, exponente - 1);
    }

    /**
     * 
     * @param args
     */
    public static void main(String[] args) {
        // Pruebas
        int base = 2;
        int exponent = 7;

        System.out.println(base + " elevado a la " + exponent + " es: " + potencia(base, exponent));
    }
}
